diff --git a/gcc/omp-low.c b/gcc/omp-low.c
index 9a16248..2028b23 100644
--- a/gcc/omp-low.c
+++ b/gcc/omp-low.c
@@ -4081,7 +4081,7 @@ lower_rec_input_clauses (tree clauses, gimple_seq *ilist, gimple_seq *dlist,
 		{
 		  /* For reduction in SIMD loop, defer adding the
 		     initialization of the reference, because if we decide
-		     to use SIMD array for it, the initilization could cause
+		     to use SIMD array for it, the initialization could cause
 		     expansion ICE.  */
 		  if (c_kind == OMP_CLAUSE_REDUCTION && is_simd)
 		    x = NULL_TREE;
@@ -5645,7 +5645,7 @@ lower_send_shared_vars (gimple_seq *ilist, gimple_seq *olist, omp_context *ctx)
     }
 }
 
-/* Emit an OpenACC head marker call, encapulating the partitioning and
+/* Emit an OpenACC head marker call, encapsulating the partitioning and
    other information that must be processed by the target compiler.
    Return the maximum number of dimensions the associated loop might
    be partitioned over.  */
@@ -5747,7 +5747,7 @@ lower_oacc_head_mark (location_t loc, tree ddvar, tree clauses,
   return levels;
 }
 
-/* Emit an OpenACC lopp head or tail marker to SEQ.  LEVEL is the
+/* Emit an OpenACC loop head or tail marker to SEQ.  LEVEL is the
    partitioning level of the enclosed region.  */ 
 
 static void
@@ -8947,7 +8947,7 @@ lower_omp (gimple_seq *body, omp_context *ctx)
   gimple_stmt_iterator gsi;
   for (gsi = gsi_start (*body); !gsi_end_p (gsi); gsi_next (&gsi))
     lower_omp_1 (&gsi, ctx);
-  /* During gimplification, we haven't folded statments inside offloading
+  /* During gimplification, we haven't folded statements inside offloading
      or taskreg regions (gimplify.c:maybe_fold_stmt); do that now.  */
   if (target_nesting_level || taskreg_nesting_level)
     for (gsi = gsi_start (*body); !gsi_end_p (gsi); gsi_next (&gsi))
diff --git a/gcc/omp-offload.c b/gcc/omp-offload.c
index 54a4e90..d9c6175 100644
--- a/gcc/omp-offload.c
+++ b/gcc/omp-offload.c
@@ -491,14 +491,14 @@ oacc_xform_tile (gcall *call)
   e_mask = 0;
 #endif
   if (!e_mask)
-    /* Not paritioning.  */
+    /* Not partitioning.  */
     span = integer_one_node;
   else if (!integer_zerop (tile_size))
     /* User explicitly specified size.  */
     span = tile_size;
   else
     {
-      /* Pick a size based on the paritioning of the element loop and
+      /* Pick a size based on the partitioning of the element loop and
 	 the number of loop nests.  */
       tree first_size = NULL_TREE;
       tree second_size = NULL_TREE;
@@ -1077,7 +1077,7 @@ oacc_loop_process (oacc_loop *loop)
     oacc_loop_process (loop->sibling);
 }
 
-/* Walk the OpenACC loop heirarchy checking and assigning the
+/* Walk the OpenACC loop hierarchy checking and assigning the
    programmer-specified partitionings.  OUTER_MASK is the partitioning
    this loop is contained within.  Return mask of partitioning
    encountered.  If any auto loops are discovered, set GOMP_DIM_MAX
@@ -1227,7 +1227,7 @@ oacc_loop_fixed_partitions (oacc_loop *loop, unsigned outer_mask)
   return mask_all;
 }
 
-/* Walk the OpenACC loop heirarchy to assign auto-partitioned loops.
+/* Walk the OpenACC loop hierarchy to assign auto-partitioned loops.
    OUTER_MASK is the partitioning this loop is contained within.
    OUTER_ASSIGN is true if an outer loop is being auto-partitioned.
    Return the cumulative partitioning used by this loop, siblings and
@@ -1348,7 +1348,7 @@ oacc_loop_auto_partitions (oacc_loop *loop, unsigned outer_mask,
   return inner_mask;
 }
 
-/* Walk the OpenACC loop heirarchy to check and assign partitioning
+/* Walk the OpenACC loop hierarchy to check and assign partitioning
    axes.  Return mask of partitioning.  */
 
 static unsigned
diff --git a/gcc/omp-simd-clone.c b/gcc/omp-simd-clone.c
index 99589d4..1639940 100644
--- a/gcc/omp-simd-clone.c
+++ b/gcc/omp-simd-clone.c
@@ -277,7 +277,7 @@ simd_clone_clauses_extract (struct cgraph_node *node, tree clauses,
 }
 
 /* Given a SIMD clone in NODE, calculate the characteristic data
-   type and return the coresponding type.  The characteristic data
+   type and return the corresponding type.  The characteristic data
    type is computed as described in the Intel Vector ABI.  */
 
 static tree
@@ -899,7 +899,7 @@ ipa_simd_modify_stmt_ops (tree *tp, int *walk_subtrees, void *data)
    offset into the corresponding simd_array.
 
    This function will replace all function argument uses with their
-   corresponding simd array elements, and ajust the return values
+   corresponding simd array elements, and adjust the return values
    accordingly.  */
 
 static void
diff --git a/gcc/optabs-query.c b/gcc/optabs-query.c
index 4899333..f025895 100644
--- a/gcc/optabs-query.c
+++ b/gcc/optabs-query.c
@@ -442,7 +442,7 @@ find_widening_optab_handler_and_mode (optab op, machine_mode to_mode,
   return CODE_FOR_nothing;
 }
 
-/* Return non-zero if a highpart multiply is supported of can be synthisized.
+/* Return non-zero if a highpart multiply is supported of can be synthesized.
    For the benefit of expand_mult_highpart, the return value is 1 for direct,
    2 for even/odd widening, and 3 for hi/lo widening.  */
 
@@ -613,7 +613,7 @@ lshift_cheap_p (bool speed_p)
   static bool init[2] = { false, false };
   static bool cheap[2] = { true, true };
 
-  /* If the targer has no lshift in word_mode, the operation will most
+  /* If the target has no lshift in word_mode, the operation will most
      probably not be cheap.  ??? Does GCC even work for such targets?  */
   if (optab_handler (ashl_optab, word_mode) == CODE_FOR_nothing)
     return false;
diff --git a/gcc/optabs.c b/gcc/optabs.c
index b69e759..7e7ce11 100644
--- a/gcc/optabs.c
+++ b/gcc/optabs.c
@@ -5513,7 +5513,7 @@ expand_vec_perm (machine_mode mode, rtx v0, rtx v1, rtx sel, rtx target)
 	}
     }
 
-  /* Otherwise expand as a fully variable permuation.  */
+  /* Otherwise expand as a fully variable permutation.  */
   icode = direct_optab_handler (vec_perm_optab, mode);
   if (icode != CODE_FOR_nothing)
     {
@@ -5558,7 +5558,7 @@ expand_vec_perm (machine_mode mode, rtx v0, rtx v1, rtx sel, rtx target)
       gcc_assert (sel != NULL);
 
       /* Add the byte offset to each byte element.  */
-      /* Note that the definition of the indicies here is memory ordering,
+      /* Note that the definition of the indices here is memory ordering,
 	 so there should be no difference between big and little endian.  */
       vec = rtvec_alloc (w);
       for (i = 0; i < w; ++i)
@@ -5861,7 +5861,7 @@ expand_compare_and_swap_loop (rtx mem, rtx old_reg, rtx new_reg, rtx seq)
 }
 
 
-/* This function tries to emit an atomic_exchange intruction.  VAL is written
+/* This function tries to emit an atomic_exchange instruction.  VAL is written
    to *MEM using memory model MODEL. The previous contents of *MEM are returned,
    using TARGET if possible.  */
    
@@ -5891,7 +5891,7 @@ maybe_emit_atomic_exchange (rtx target, rtx mem, rtx val, enum memmodel model)
 /* This function tries to implement an atomic exchange operation using
    __sync_lock_test_and_set. VAL is written to *MEM using memory model MODEL.
    The previous contents of *MEM are returned, using TARGET if possible.
-   Since this instructionn is an acquire barrier only, stronger memory
+   Since this instruction is an acquire barrier only, stronger memory
    models may require additional barriers to be emitted.  */
 
 static rtx
@@ -6572,7 +6572,7 @@ maybe_optimize_fetch_op (rtx target, rtx mem, rtx val, enum rtx_code code,
   return NULL_RTX;
 }
 
-/* Try to emit an instruction for a specific operation varaition. 
+/* Try to emit an instruction for a specific operation variation.
    OPTAB contains the OP functions.
    TARGET is an optional place to return the result. const0_rtx means unused.
    MEM is the memory location to operate on.
@@ -6675,7 +6675,7 @@ expand_atomic_fetch_op_no_fallback (rtx target, rtx mem, rtx val,
       if (result)
         return result;
 
-      /* Next try the old style withuot a memory model.  */
+      /* Next try the old style without a memory model.  */
       result = maybe_emit_op (&optab, target, mem, val, false, model, true);
       if (result)
         return result;
diff --git a/gcc/opts.c b/gcc/opts.c
index ffedb10..eead6ec 100644
--- a/gcc/opts.c
+++ b/gcc/opts.c
@@ -927,7 +927,7 @@ finish_options (struct gcc_options *opts, struct gcc_options *opts_set,
 	}
     }
 
-  /* Tune vectorization related parametees according to cost model.  */
+  /* Tune vectorization related parameters according to cost model.  */
   if (opts->x_flag_vect_cost_model == VECT_COST_MODEL_CHEAP)
     {
       maybe_set_param_value (PARAM_VECT_MAX_VERSION_FOR_ALIAS_CHECKS,
diff --git a/gcc/params.def b/gcc/params.def
index 6b07518..e88bb8f 100644
--- a/gcc/params.def
+++ b/gcc/params.def
@@ -35,7 +35,7 @@ along with GCC; see the file COPYING3.  If not see
      - The maximum acceptable value for the parameter (if greater than
      the minimum).
 
-   The DEFPARAMENUM<N> macro is similar, but instead of the minumum and maximum
+   The DEFPARAMENUM<N> macro is similar, but instead of the minimum and maximum
    arguments, it contains a list of <N> allowed strings, corresponding to
    integer values 0..<N>-1.  Note that the default argument needs to be
    specified as one of the allowed strings, rather than an integer value.
@@ -268,7 +268,7 @@ DEFPARAM(PARAM_MAX_HOIST_DEPTH,
 	 30, 0, 0)
 
 
-/* When synthesizing expnonentiation by a real constant operations using square
+/* When synthesizing exponentiation by a real constant operations using square
    roots, this controls how deep sqrt chains we are willing to generate.  */
 DEFPARAM(PARAM_MAX_POW_SQRT_DEPTH,
 	 "max-pow-sqrt-depth",
diff --git a/gcc/passes.c b/gcc/passes.c
index 64493ba..cf7f26c 100644
--- a/gcc/passes.c
+++ b/gcc/passes.c
@@ -73,7 +73,7 @@ opt_pass *current_pass;
    need to implement cloning, but passes that support multiple instances
    *must* provide their own implementation of the clone method.
 
-   Handle this by providing a default implemenation, but make it a fatal
+   Handle this by providing a default implementation, but make it a fatal
    error to call it.  */
 
 opt_pass *
@@ -1520,7 +1520,7 @@ pass_manager::register_pass (struct register_pass_info *pass_info)
    compile ()
        ipa_passes () 			-> all_small_ipa_passes
 					-> Analysis of all_regular_ipa_passes
-	* possible LTO streaming at copmilation time *
+	* possible LTO streaming at compilation time *
 					-> Execution of all_regular_ipa_passes
 	* possible LTO streaming at link time *
 					-> all_late_ipa_passes
diff --git a/gcc/postreload-gcse.c b/gcc/postreload-gcse.c
index cbc0df2..579b593 100644
--- a/gcc/postreload-gcse.c
+++ b/gcc/postreload-gcse.c
@@ -1369,7 +1369,7 @@ gcse_after_reload_main (rtx f ATTRIBUTE_UNUSED)
 
   if (expr_table->elements () > 0)
     {
-      /* Knowing which MEMs are transparent through a block can signifiantly
+      /* Knowing which MEMs are transparent through a block can significantly
 	 increase the number of redundant loads found.  So compute transparency
 	 information for each memory expression in the hash table.  */
       df_analyze ();
diff --git a/gcc/predict.c b/gcc/predict.c
index ac35fa4..0dc02b4 100644
--- a/gcc/predict.c
+++ b/gcc/predict.c
@@ -1097,7 +1097,7 @@ combine_predictions_for_bb (basic_block bb, bool dry_run)
      The only approximation is to equally distribute 1-p1 to all edges
      different from b1.
 
-     According to numbers we've got from SPEC2006 benchark, there's only
+     According to numbers we've got from SPEC2006 benchmark, there's only
      one interesting reliable predictor (noreturn call), which can be
      handled with a bit easier approach.  */
   if (nedges != 2)
@@ -2520,7 +2520,7 @@ is_exit_with_zero_arg (const gimple *stmt)
       && !gimple_call_builtin_p (stmt, BUILT_IN__EXIT2))
     return false;
 
-  /* Argument is an interger zero. */
+  /* Argument is an integer zero. */
   return integer_zerop (gimple_call_arg (stmt, 0));
 }
 
@@ -2890,7 +2890,7 @@ predict_paths_for_bb (basic_block cur, basic_block bb,
 	 using predictor.  Otherwise we need to look for paths
 	 leading to e->src.
 
-	 The second may lead to infinite loop in the case we are predicitng
+	 The second may lead to infinite loop in the case we are predicting
 	 regions that are only reachable by abnormal edges.  We simply
 	 prevent visiting given BB twice.  */
       if (found)
@@ -3640,7 +3640,7 @@ make_pass_strip_predict_hints (gcc::context *ctxt)
 
 /* Rebuild function frequencies.  Passes are in general expected to
    maintain profile by hand, however in some cases this is not possible:
-   for example when inlining several functions with loops freuqencies might run
+   for example when inlining several functions with loops frequencies might run
    out of scale and thus needs to be recomputed.  */
 
 void
@@ -3681,7 +3681,7 @@ rebuild_frequencies (void)
   timevar_pop (TV_REBUILD_FREQUENCIES);
 }
 
-/* Perform a dry run of the branch prediction pass and report comparsion of
+/* Perform a dry run of the branch prediction pass and report comparison of
    the predicted and real profile into the dump file.  */
 
 void
@@ -3745,7 +3745,7 @@ force_edge_cold (edge e, bool impossible)
 	prob_sum += e2->probability;
       }
 
-  /* If there are other edges out of e->src, redistribute probabilitity
+  /* If there are other edges out of e->src, redistribute probability
      there.  */
   if (prob_sum)
     {
@@ -3780,10 +3780,10 @@ force_edge_cold (edge e, bool impossible)
     {
       e->probability = REG_BR_PROB_BASE;
 
-      /* If we did not adjusting, the source basic block has no likely edeges
+      /* If we did not adjusting, the source basic block has no likely edges
  	 leaving other direction. In that case force that bb cold, too.
 	 This in general is difficult task to do, but handle special case when
-	 BB has only one predecestor.  This is common case when we are updating
+	 BB has only one predecessor.  This is common case when we are updating
 	 after loop transforms.  */
       if (!prob_sum && !count_sum && single_pred_p (e->src)
 	  && e->src->frequency > (impossible ? 0 : 1))
diff --git a/gcc/pretty-print.c b/gcc/pretty-print.c
index 570dec7..e58436f 100644
--- a/gcc/pretty-print.c
+++ b/gcc/pretty-print.c
@@ -184,7 +184,7 @@ pp_write_text_as_dot_label_to_stream (pretty_printer *pp, bool for_record)
 	/* The following characters always have to be escaped
 	   for use in labels.  */
 	case '\\':
-	  /* There is a bug in some (f.i. 2.36.0) versions of graphiz
+	  /* There is a bug in some (f.i. 2.36.0) versions of graphviz
 	     ( http://www.graphviz.org/mantisbt/view.php?id=2524 ) related to
 	     backslash as last char in label.  Let's avoid triggering it.  */
 	  gcc_assert (*(p + 1) != '\0');
diff --git a/gcc/print-rtl.c b/gcc/print-rtl.c
index 20bdafd..b683452 100644
--- a/gcc/print-rtl.c
+++ b/gcc/print-rtl.c
@@ -114,7 +114,7 @@ uses_rtx_reuse_p (const_rtx x)
     }
 }
 
-/* Traverse X and its descendents, determining if we see any rtx more than
+/* Traverse X and its descendants, determining if we see any rtx more than
    once.  Any rtx suitable for "reuse_rtx" that is seen more than once is
    assigned an ID.  */
 
@@ -481,7 +481,7 @@ rtx_writer::print_rtx_operand_code_r (const_rtx in_rtx)
     else if (m_compact)
       {
 	/* In compact mode, print pseudos with '< and '>' wrapping the regno,
-	   offseting it by (LAST_VIRTUAL_REGISTER + 1), so that the
+	   offsetting it by (LAST_VIRTUAL_REGISTER + 1), so that the
 	   first non-virtual pseudo is dumped as "<0>".  */
 	gcc_assert (regno > LAST_VIRTUAL_REGISTER);
 	fprintf (m_outfile, " <%d>", regno - (LAST_VIRTUAL_REGISTER + 1));
diff --git a/gcc/print-rtl.h b/gcc/print-rtl.h
index eee949a..170f65a 100644
--- a/gcc/print-rtl.h
+++ b/gcc/print-rtl.h
@@ -125,7 +125,7 @@ extern void print_rtx_function (FILE *file, function *fn, bool compact);
    Dumping with reuse-support is done in two passes:
 
    (a) a first pass in which "preprocess" is called on each top-level rtx
-       to be seen in the dump.  This traverses the rtx and its descendents,
+       to be seen in the dump.  This traverses the rtx and its descendants,
        identifying rtx that will be seen more than once in the actual dump,
        and assigning them reuse IDs.
 
diff --git a/gcc/profile.c b/gcc/profile.c
index 3346af4..5a8375a 100644
--- a/gcc/profile.c
+++ b/gcc/profile.c
@@ -227,7 +227,7 @@ get_working_sets (void)
           if (ws_ix == NUM_GCOV_WORKING_SETS - 1)
             pct = 9990;
           ws_info = &gcov_working_sets[ws_ix];
-          /* Print out the percentage using int arithmatic to avoid float.  */
+          /* Print out the percentage using int arithmetic to avoid float.  */
           fprintf (dump_file, "\t\t%u.%02u%%: num counts=%u, min counter="
                    "%" PRId64 "\n",
                    pct / 100, pct - (pct / 100 * 100),
diff --git a/gcc/read-md.h b/gcc/read-md.h
index fea7011..5a79679 100644
--- a/gcc/read-md.h
+++ b/gcc/read-md.h
@@ -254,7 +254,7 @@ class md_reader
   int m_last_line;
 };
 
-/* Global singleton; constrast with rtx_reader_ptr below.  */
+/* Global singleton; contrast with rtx_reader_ptr below.  */
 extern md_reader *md_reader_ptr;
 
 /* An md_reader subclass which skips unknown directives, for
@@ -303,7 +303,7 @@ class rtx_reader : public md_reader
   auto_vec<rtx> m_reuse_rtx_by_id;
 };
 
-/* Global singleton; constrast with md_reader_ptr above.  */
+/* Global singleton; contrast with md_reader_ptr above.  */
 extern rtx_reader *rtx_reader_ptr;
 
 extern void (*include_callback) (const char *);
diff --git a/gcc/real.c b/gcc/real.c
index a5671b2..2ddfe5a8d 100644
--- a/gcc/real.c
+++ b/gcc/real.c
@@ -3111,7 +3111,7 @@ const struct real_format motorola_single_format =
       - Denormals can be represented, but are treated as +0.0 when
 	used as an operand and are never generated as a result.
       - -0.0 can be represented, but a zero result is always +0.0.
-      - the only supported rounding mode is trunction (towards zero).  */
+      - the only supported rounding mode is truncation (towards zero).  */
 const struct real_format spu_single_format =
   {
     encode_ieee_single,
diff --git a/gcc/reg-notes.def b/gcc/reg-notes.def
index 8734d26..1c42651 100644
--- a/gcc/reg-notes.def
+++ b/gcc/reg-notes.def
@@ -167,7 +167,7 @@ REG_CFA_NOTE (CFA_VAL_EXPRESSION)
 REG_CFA_NOTE (CFA_RESTORE)
 
 /* Attached to insns that are RTX_FRAME_RELATED_P, marks insn that sets
-   vDRAP from DRAP.  If vDRAP is a register, vdrap_reg is initalized
+   vDRAP from DRAP.  If vDRAP is a register, vdrap_reg is initialized
    to the argument, if it is a MEM, it is ignored.  */
 REG_CFA_NOTE (CFA_SET_VDRAP)
 
diff --git a/gcc/reginfo.c b/gcc/reginfo.c
index a7df02d..24fc3ec 100644
--- a/gcc/reginfo.c
+++ b/gcc/reginfo.c
@@ -888,7 +888,7 @@ reg_allocno_class (int regno)
 
 
 
-/* Allocate space for reg info and initilize it.  */
+/* Allocate space for reg info and initialize it.  */
 static void
 allocate_reg_info (void)
 {
diff --git a/gcc/reload.c b/gcc/reload.c
index 8074e54..cea2513 100644
--- a/gcc/reload.c
+++ b/gcc/reload.c
@@ -6105,7 +6105,7 @@ find_reloads_address_part (rtx x, rtx *loc, enum reg_class rclass,
 }
 
 /* X, a subreg of a pseudo, is a part of an address that needs to be
-   reloaded, and the pseusdo is equivalent to a memory location.
+   reloaded, and the pseudo is equivalent to a memory location.
 
    Attempt to replace the whole subreg by a (possibly narrower or wider)
    memory reference.  If this is possible, return this new memory
diff --git a/gcc/reload1.c b/gcc/reload1.c
index e993749..7f14dbd 100644
--- a/gcc/reload1.c
+++ b/gcc/reload1.c
@@ -742,7 +742,7 @@ will_delete_init_insn_p (rtx_insn *insn)
    so any pseudo reg that is spilled must go to the stack.
 
    Return value is TRUE if reload likely left dead insns in the
-   stream and a DCE pass should be run to elimiante them.  Else the
+   stream and a DCE pass should be run to eliminate them.  Else the
    return value is FALSE.  */
 
 bool
diff --git a/gcc/resource.c b/gcc/resource.c
index 95911c5..c5be881 100644
--- a/gcc/resource.c
+++ b/gcc/resource.c
@@ -374,7 +374,7 @@ mark_referenced_resources (rtx x, struct resources *res,
       /* In addition to the usual references, also consider all outputs
 	 as referenced, to compensate for mark_set_resources treating
 	 them as killed.  This is similar to ZERO_EXTRACT / STRICT_LOW_PART
-	 handling, execpt that we got a partial incidence instead of a partial
+	 handling, except that we got a partial incidence instead of a partial
 	 width.  */
       mark_set_resources (x, res, 0,
 			  include_delayed_effects
@@ -1011,7 +1011,7 @@ mark_target_live_regs (rtx_insn *insns, rtx target_maybe_return, struct resource
 	  if (CALL_P (real_insn))
 	    {
 	      /* Values in call-clobbered registers survive a COND_EXEC CALL
-		 if that is not executed; this matters for resoure use because
+		 if that is not executed; this matters for resource use because
 		 they may be used by a complementarily (or more strictly)
 		 predicated instruction, or if the CALL is NORETURN.  */
 	      if (GET_CODE (PATTERN (real_insn)) != COND_EXEC)
diff --git a/gcc/rtl.def b/gcc/rtl.def
index 4c2607a..01cdeb6 100644
--- a/gcc/rtl.def
+++ b/gcc/rtl.def
@@ -1311,11 +1311,11 @@ DEF_RTL_EXPR(COND, "cond", "Ee", RTX_EXTRA)
    that match the substitution pattern.
 
    Operand:
-   0: The name of the substitition template.
+   0: The name of the substitution template.
    1: Input template to match to see if a substitution is applicable.
    2: A C expression giving an additional condition for the generated
       new define_expand or define_insn.
-   3: Output tempalate to generate via substitution.
+   3: Output template to generate via substitution.
 
    Within a DEFINE_SUBST template, the meaning of some RTL expressions is
    different from their usual interpretation: a MATCH_OPERAND matches any
@@ -1335,7 +1335,7 @@ DEF_RTL_EXPR(DEFINE_SUBST, "define_subst", "sEsE", RTX_EXTRA)
       name, for the case that the DEFINE_SUBST is not applied (i.e. the
       unmodified version of the pattern).
    3: String to substitute for the subst-attribute name in the pattern
-      name, for the case that the DEFINE_SUBST is applied to the patten.
+      name, for the case that the DEFINE_SUBST is applied to the pattern.
       
    The use of DEFINE_SUBST and DEFINE_SUBST_ATTR is explained in the
    GCC internals manual, under "RTL Templates Transformations".  */
diff --git a/gcc/sanopt.c b/gcc/sanopt.c
index 70b7aeb..b129169 100644
--- a/gcc/sanopt.c
+++ b/gcc/sanopt.c
@@ -533,7 +533,7 @@ sanopt_optimize_walker (basic_block bb, struct sanopt_ctx *ctx)
       if (!is_gimple_call (stmt))
 	{
 	  /* Handle asm volatile or asm with "memory" clobber
-	     the same as potentionally freeing call.  */
+	     the same as potentially freeing call.  */
 	  gasm *asm_stmt = dyn_cast <gasm *> (stmt);
 	  if (asm_stmt
 	      && asan_check_optimize
diff --git a/gcc/sched-deps.c b/gcc/sched-deps.c
index b2393bf..75422a2 100644
--- a/gcc/sched-deps.c
+++ b/gcc/sched-deps.c
@@ -2728,7 +2728,7 @@ sched_analyze_2 (struct deps_desc *deps, rtx x, rtx_insn *insn)
 	 a jump insn which usually generates MOVE_BARRIER preventing
 	 to move insns containing registers or memories through the
 	 barrier.  It is also wrong with generated code performance
-	 point of view as prefetch withouth dependecies will have a
+	 point of view as prefetch without dependencies will have a
 	 tendency to be issued later instead of earlier.  It is hard
 	 to generate accurate dependencies for prefetch insns as
 	 prefetch has only the start address but it is better to have
@@ -4703,7 +4703,7 @@ attempt_change (struct mem_inc_info *mii, rtx new_addr)
 
 /* Return true if INSN is of a form "a = b op c" where a and b are
    regs.  op is + if c is a reg and +|- if c is a const.  Fill in
-   informantion in MII about what is found.
+   information in MII about what is found.
    BEFORE_MEM indicates whether the increment is found before or after
    a corresponding memory reference.  */
 
diff --git a/gcc/sel-sched-dump.c b/gcc/sel-sched-dump.c
index 388a8af..eb6fefa 100644
--- a/gcc/sel-sched-dump.c
+++ b/gcc/sel-sched-dump.c
@@ -590,7 +590,7 @@ sel_print_insn (const rtx_insn *insn, int aligned ATTRIBUTE_UNUSED)
 /* Functions for pretty printing of CFG.  */
 /* FIXME: Using pretty-print here could simplify this stuff.  */
 
-/* Replace all occurencies of STR1 to STR2 in BUF.
+/* Replace all occurrences of STR1 to STR2 in BUF.
    The BUF must be large enough to hold the result.  */
 static void
 replace_str_in_buf (char *buf, const char *str1, const char *str2)
@@ -711,7 +711,7 @@ sel_dump_cfg_edge (FILE *f, edge e)
 }
 
 
-/* Return true if BB has a predesessor from current region.
+/* Return true if BB has a predecessor from current region.
    TODO: Either make this function to trace back through empty block
    or just remove those empty blocks.  */
 static bool
diff --git a/gcc/sel-sched-ir.h b/gcc/sel-sched-ir.h
index 76ec10d..ea3d52d 100644
--- a/gcc/sel-sched-ir.h
+++ b/gcc/sel-sched-ir.h
@@ -405,7 +405,7 @@ struct _list_iterator
   /* The list we're iterating.  */
   _list_t *lp;
 
-  /* True when this iterator supprts removing.  */
+  /* True when this iterator supports removing.  */
   bool can_remove_p;
 
   /* True when we've actually removed something.  */
@@ -744,7 +744,7 @@ struct _sel_insn_data
   /* A hashtable caching the result of insn transformations through this one.  */
   htab_t transformed_insns;
 
-  /* A context incapsulating this insn.  */
+  /* A context encapsulating this insn.  */
   struct deps_desc deps_context;
 
   /* This field is initialized at the beginning of scheduling and is used
@@ -1007,7 +1007,7 @@ struct succ_iterator
 /* A structure returning all successor's information.  */
 struct succs_info
 {
-  /* Flags that these succcessors were computed with.  */
+  /* Flags that these successors were computed with.  */
   short flags;
 
   /* Successors that correspond to the flags.  */
diff --git a/gcc/sel-sched.c b/gcc/sel-sched.c
index 708d088..cb39a35 100644
--- a/gcc/sel-sched.c
+++ b/gcc/sel-sched.c
@@ -460,7 +460,7 @@ flist_t fences;
 static bool enable_schedule_as_rhs_p;
 
 /* Used in verify_target_availability to assert that target reg is reported
-   unavailabile by both TARGET_UNAVAILABLE and find_used_regs only if
+   unavailable by both TARGET_UNAVAILABLE and find_used_regs only if
    we haven't scheduled anything on the previous fence.
    if scheduled_something_on_previous_fence is true, TARGET_UNAVAILABLE can
    have more conservative value than the one returned by the
@@ -529,7 +529,7 @@ static bitmap code_motion_visited_blocks = NULL;
 /* The number of bookkeeping copies created.  */
 static int stat_bookkeeping_copies;
 
-/* The number of insns that required bookkeeiping for their scheduling.  */
+/* The number of insns that required bookkeeping for their scheduling.  */
 static int stat_insns_needed_bookkeeping;
 
 /* The number of insns that got renamed.  */
@@ -1738,7 +1738,7 @@ find_best_reg_for_expr (expr_t expr, blist_t bnds, bool *is_orig_reg_p)
 }
 
 
-/* Return true if dependence described by DS can be overcomed.  */
+/* Return true if dependence described by DS can be overcome.  */
 static bool
 can_speculate_dep_p (ds_t ds)
 {
@@ -2149,7 +2149,7 @@ moveup_expr (expr_t expr, insn_t through_insn, bool inside_insn_group,
      insn is pulled ahead of it.  It's hard to figure out how to
      introduce such a notion in sel-sched, but it already fails to
      support debug insns in other ways, so we just go ahead and
-     let the deug insns go corrupt for now.  */
+     let the debug insns go corrupt for now.  */
   if (DEBUG_INSN_P (through_insn) && !DEBUG_INSN_P (insn))
     return MOVEUP_EXPR_SAME;
 
@@ -2536,7 +2536,7 @@ moveup_expr_cached (expr_t expr, insn_t insn, bool inside_insn_group)
        basic blocks.  */;
   else if (try_bitmap_cache (expr, insn, inside_insn_group, &res))
     /* When inside insn group, we do not want remove stores conflicting
-       with previosly issued loads.  */
+       with previously issued loads.  */
     got_answer = ! inside_insn_group || res != MOVEUP_EXPR_NULL;
   else if (try_transformation_cache (expr, insn, &res))
     got_answer = true;
@@ -3047,7 +3047,7 @@ propagate_lv_set (regset lv, insn_t insn)
   df_simulate_one_insn_backwards (BLOCK_FOR_INSN (insn), insn, lv);
 }
 
-/* Return livness set at the end of BB.  */
+/* Return liveness set at the end of BB.  */
 static regset
 compute_live_after_bb (basic_block bb)
 {
@@ -3156,7 +3156,7 @@ compute_live (insn_t insn)
     }
 
   /* We return LV to the pool, but will not clear it there.  Thus we can
-     legimatelly use LV till the next use of regset_pool_get ().  */
+     legitimately use LV till the next use of regset_pool_get ().  */
   return_regset_to_pool (lv);
   return lv;
 }
@@ -4715,7 +4715,7 @@ find_place_for_bookkeeping (edge e1, edge e2, fence_t *fence_to_rewind)
   return place_to_insert;
 }
 
-/* Find a proper seqno for bookkeeing insn inserted at PLACE_TO_INSERT
+/* Find a proper seqno for bookkeeping insn inserted at PLACE_TO_INSERT
    for JOIN_POINT.   */
 static int
 find_seqno_for_bookkeeping (insn_t place_to_insert, insn_t join_point)
@@ -5669,7 +5669,7 @@ update_and_record_unavailable_insns (basic_block book_block)
   rtx_insn *bb_end = sel_bb_end (book_block);
 
   /* First, get correct liveness in the bookkeeping block.  The problem is
-     the range between the bookeeping insn and the end of block.  */
+     the range between the bookkeeping insn and the end of block.  */
   update_liveness_on_insn (bb_end);
   if (control_flow_insn_p (bb_end))
     update_liveness_on_insn (PREV_INSN (bb_end));
@@ -5980,7 +5980,7 @@ remove_insn_from_stream (rtx_insn *insn, bool only_disconnect)
 
 /* This function is called when original expr is found.
    INSN - current insn traversed, EXPR - the corresponding expr found.
-   LPARAMS is the local parameters of code modion driver, STATIC_PARAMS
+   LPARAMS is the local parameters of code motion driver, STATIC_PARAMS
    is static parameters of move_op.  */
 static void
 move_op_orig_expr_found (insn_t insn, expr_t expr,
diff --git a/gcc/shrink-wrap.c b/gcc/shrink-wrap.c
index 1ac4ea3..79116b8 100644
--- a/gcc/shrink-wrap.c
+++ b/gcc/shrink-wrap.c
@@ -751,7 +751,7 @@ try_shrink_wrapping (edge *entry_edge, rtx_insn *prologue_seq)
   /* Now see if we can put the prologue at the start of PRO.  Putting it
      there might require duplicating a block that cannot be duplicated,
      or in some cases we cannot insert the prologue there at all.  If PRO
-     wont't do, try again with the immediate dominator of PRO, and so on.
+     won't do, try again with the immediate dominator of PRO, and so on.
 
      The blocks that need duplicating are those reachable from PRO but
      not dominated by it.  We keep in BB_WITH a bitmap of the blocks
@@ -974,7 +974,7 @@ try_shrink_wrapping (edge *entry_edge, rtx_insn *prologue_seq)
 	  handle_simple_exit (e);
 
   /* Finally, we want a single edge to put the prologue on.  Make a new
-     block before the PRO block; the edge beteen them is the edge we want.
+     block before the PRO block; the edge between them is the edge we want.
      Then redirect those edges into PRO that come from blocks without the
      prologue, to point to the new block instead.  The new prologue block
      is put at the end of the insn chain.  */
